Subject: Re: bug#57792: 29.0.50; async-shell-command fails with prefix-argument on -master

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Sep 2022 17:10:44 +0200

Vladimir Nikishkin <[email-masked]> writes:

> Maybe I am confusing it with C-u M-! , but for the async version would
> do the same would make sense.

The problem is basically the same with M-! asynchronously --
`C-u M-! echo hello &' will also bug out.

So inserting things into the current buffer asynchronously has possibly
never worked?

The issue here is that in the async case, we set up a sentinel to handle
the output, and we also erase the output buffer, and we set the mode to
shell-mode.

I think it should be able to make this work (I think it'd be nice to
have), but I think it requires some serious rewriting of this code...